> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1conversion pixelsreports



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/conversion-pixels/reports
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/conversion-pixels/reports:
    post:
      tags:
        - ConversionPixel
      operationId: conversionPixel.reports
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sortModel:
                  type: array
                  example:
                    - sort: asc
                      colId: updated_datetime
                  prefixItems:
                    - $ref: >-
                        #/components/schemas/App.Domain.Campaigns.Data.Reports.Sendlogs.SortModelData
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                filterModel:
                  type: array
                  example: >-
                    {"is_sent":{"filterType":"number","type":"greaterThan","filter":5}}


                    note that it needs to be col_id: {FilterModel}, PHP doesn't
                    support this kind of description.
                  prefixItems:
                    - type: array
                      prefixItems:
                        - $ref: '#/components/schemas/FilterModelData'
                      minItems: 1
                      maxItems: 1
                      additionalItems: false
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                rowGroupCols:
                  type: array
                  example:
                    - id: campaign_id
                      displayName: Campaign_Id
                      field: campaign_id
                  prefixItems:
                    - $ref: '#/components/schemas/ApiSendlogRowGroupColsData'
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                selectCols:
                  type: array
                  example: >-
                    ["country_id"]

                    Will make a select query with only the columns in the array,
                    if not provided default columns will be selected
                  prefixItems:
                    - $ref: '#/components/schemas/ConversionPixelFieldEnum'
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                groupKeys:
                  type: array
                  example: |-
                    ["campaign_uuid"]
                    Not the column type, it's a filter of the query
                  prefixItems:
                    - type: string
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                startRow:
                  type: integer
                  minimum: 0
                endRow:
                  type: integer
                  minimum: 1
                groupByAll:
                  type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DataGridConversionPixelResource'
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                    required:
                      - total
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    DataGridConversionPixelResource:
      type: object
      properties:
        id:
          type: string
        object_id:
          type: string
        event_type:
          type: string
        event_profit:
          type: string
        user_agent:
          type: string
        created_at:
          type: string
        object_type:
          type: string
        ip_address:
          type: string
        conversion_filter_id:
          type: string
        country_code:
          type: string
        team_id:
          type: string
        related_object_id:
          type: string
        is_bot:
          type: string
        bot_reason:
          type:
            - string
            - 'null'
      required:
        - id
        - object_id
        - event_type
        - event_profit
        - user_agent
        - created_at
        - object_type
        - ip_address
        - conversion_filter_id
        - country_code
        - team_id
        - related_object_id
        - is_bot
        - bot_reason
      title: DataGridConversionPixelResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````